## PhoshIdleManager

PhoshIdleManager — The idle manager singleton

## Functions

PhoshIdleManager * | phosh_idle_manager_get_default ()
void | phosh_idle_manager_reset_timers ()

## Types and Values

#define | PHOSH_TYPE_IDLE_MANAGER
| PhoshIdleManager

## Object Hierarchy

        GObject
        ╰── PhoshIdleManager

## Description

This uses org_kde_kwin_idle_timeout_listener to implement mutter's org.gnome.Mutter.IdleMonitor DBus interface. Since we don't have per monitor information we only care about core.

## Functions

### phosh_idle_manager_get_default ()

    PhoshIdleManager *
    phosh_idle_manager_get_default (void);

### phosh_idle_manager_reset_timers ()

    void
    phosh_idle_manager_reset_timers (PhoshIdleManager *self);

## Types and Values

### PHOSH_TYPE_IDLE_MANAGER

    #define PHOSH_TYPE_IDLE_MANAGER                 (phosh_idle_manager_get_type ())

### PhoshIdleManager

    typedef struct _PhoshIdleManager PhoshIdleManager;